Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Interface Logical

All Superinterfaces
  Cloneable, Comparable, Expression, Serializable

All Known Implementing Classes:
  LogicalImpl

Deprecated Use `Expression` instead.

    public interface Logical

extends Expression

An expression which does a boolean AND or OR against a list of child expression.

This represents a branch in an expression tree. Its children will be either `Criterias` or other `Logicals`.

Attribute: `children`
- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection
- This is the list of children Expressions.
Attribute: `logical`

- Containment: By Value
- Multiplicity: 1:1
- The boolean operator, which should be either `TypesHelper.AND` or `TypesHelper.OR`.

See Also
  `LogicalHome`, `LogicalImpl`, `ExpressionHelper`

Method Summary
`boolean` | `addAllChildren(Collection collection)` Deprecated Adds all of the expressions in the specified collection to our list of children expressions.
`boolean` | `addChildren(Expression element)` Deprecated Ensures that the list of children expressions contains the specified expression.
`void` | `clearChildren()` Deprecated Removes all children expressions.
`boolean` | `containsAllChildren(Collection c)` Deprecated Returns true if all the specified expressions are our children.
`boolean` | `containsChildren(Expression element)` Deprecated Returns true if the specified expression is one of our children.
`boolean` | `equalsChildren(Object object)` Deprecated Compares the specified object with the list of children expressions.
`Collection` | `getAllChildren()` Deprecated Returns the list of children expressions.
`String` | `getLogical()` Deprecated Get the boolean logical operator.
`int` | `hashCodeChildren()` Deprecated Returns the hash code value for the list of children expressions.
`boolean` | `isEmptyChildren()` Deprecated Returns true if we have no children.
`Iterator` | `iteratorChildren()` Deprecated Returns an iterator over the list of children expressions.
`boolean` | `removeAllChildren(Collection collection)` Deprecated Removes, from our children, all of the expressions specified.
`boolean` | `removeChildren(Expression element)` Deprecated Removes a single child expression from us.
`boolean` | `retainAllChildren(Collection collection)` Deprecated Retains only the children which are also contained in the specified collection.
`void` | `setAllChildren(Collection collection)` Deprecated Sets the list of children expressions.
`void` | `setLogical(String logical)` Deprecated Set the boolean logical operator.
`int` | `sizeChildren()` Deprecated Returns the number of children expressions.

Methods inherited from interface com.beasys.commerce.foundation.expression.Expression
`getNot, interfaceName, setByValue, setNot, toString, value, valueOf`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getAllChildren

    Collection getAllChildren()

  Deprecated
  Returns the list of children expressions.

### setAllChildren

    void setAllChildren(Collection collection)

  Deprecated
  Sets the list of children expressions.

### addChildren

    boolean addChildren(Expression element)

  Deprecated
  Ensures that the list of children expressions contains the specified expression.

### addAllChildren

    boolean addAllChildren(Collection collection)

  Deprecated
  Adds all of the expressions in the specified collection to our list of children expressions.

### clearChildren

    void clearChildren()

  Deprecated
  Removes all children expressions.

### containsChildren

    boolean containsChildren(Expression element)

  Deprecated
  Returns true if the specified expression is one of our children.

### containsAllChildren

    boolean containsAllChildren(Collection c)

  Deprecated
  Returns true if all the specified expressions are our children.

### equalsChildren

    boolean equalsChildren(Object object)

  Deprecated
  Compares the specified object with the list of children expressions.

### hashCodeChildren

    int hashCodeChildren()

  Deprecated
  Returns the hash code value for the list of children expressions.

### isEmptyChildren

    boolean isEmptyChildren()

  Deprecated
  Returns true if we have no children.

### iteratorChildren

    Iterator iteratorChildren()

  Deprecated
  Returns an iterator over the list of children expressions.

### removeChildren

    boolean removeChildren(Expression element)

  Deprecated
  Removes a single child expression from us.

### removeAllChildren

    boolean removeAllChildren(Collection collection)

  Deprecated
  Removes, from our children, all of the expressions specified.

### retainAllChildren

    boolean retainAllChildren(Collection collection)

  Deprecated
  Retains only the children which are also contained in the specified collection.

### sizeChildren

    int sizeChildren()

  Deprecated
  Returns the number of children expressions.

### getLogical

    String getLogical()

  Deprecated
  Get the boolean logical operator.

### setLogical

    void setLogical(String logical)

  Deprecated
  Set the boolean logical operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.